[Ubuntu-bo] Propuesta de proyecto OpenSource

Amos Batto amosbatto en yahoo.com
Dom Feb 1 15:40:16 GMT 2009


--- <hterrazas en gmail.com> wrote:
> > Buenas chicos, bueno tengo la idea de hacer un
> > proyecto OpenSource y
> > quisiera que me dieran las primeras luces, con
> > respecto a licencias, a

--- On Sat, 1/31/09, Rolando Espinoza La Fuente <darkrho en gmail.com> wrote:

> Si quieres una licencia commercial-friendly puedes usar la
> licencia
> BSD, como el framework zend. 

No veo ninguna razón usar la licencia BSD, excepto si quieres que otros aprovechan de tu trabajo sin contribuir al código. (Si quieres que Apple va a incluirlo en Mac OSX por ejemplo.)

> Si lo que liberarás esta orientado a servicios, y quieres
> que
> cualquier modificación sea liberada puedes usar la Affero
> GPLv3, como
> meneame.

Si quieres garantizar que el código siempre sea libre o si quieres animar gente para contribuir al código, Affero GPLv3 es mucho mejor. Si quieres ofrecer servicios commericiales con el código, Affero GPLv3 es mejor también. Si quieres vender el código con otra licencia después, Affero GPLv3 es mejor (pero no puedes aceptar código de otras personas para hacer esto).  

Affero GPLv3 es mucho mejor para servicios web porque nadie puede aprovechar de su codigo (como Google por ejemplo) sin contribuir. La desventaja es tienes que ofrecer la nueva versión del código cada vez que haces un cambio chiquito al código. Esto puede ser una molestia especialmente si no tienes una buena conexión de internet. 

Tal vez puedes evitar la molestia de redistribución frecuente del código fuente con una noticia en su sitio web, diciendo que el código es disponible para descargar, pero tal vez habia cambios chiquitos desde que el código fue subido. Si alguien quiere verificar que sea la última versión y recibir una copia del último código, mande un email al desarrollador.

En realidad probablemente nadie va a molestarte acerca de esto, pero legalmente debes ofrecer el código nuevo de Affero GPLv3 si cambias solo un byte. Si quieres evitar esta obligación, debes usar GPLv3.    

Buena suerte,
Amos Batto


      



Más información sobre la lista de distribución Ubuntu-bo